Linux localhost 6.1.10-x86_64-linode159 #1 SMP PREEMPT_DYNAMIC Wed Feb 8 14:14:45 EST 2023 x86_64
Apache/2.4.25 (Debian)
Server IP : 45.33.61.127 & Your IP : 216.73.216.156
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
bash
1.05
MB
-rwxr-xr-x
2017-05-15 19:45
bunzip2
34.62
KB
-rwxr-xr-x
2017-01-29 18:30
busybox
657.48
KB
-rwxr-xr-x
2021-02-15 10:42
bzcat
34.62
KB
-rwxr-xr-x
2017-01-29 18:30
bzcmp
2.09
KB
-rwxr-xr-x
2017-01-29 18:30
bzdiff
2.09
KB
-rwxr-xr-x
2017-01-29 18:30
bzegrep
3.56
KB
-rwxr-xr-x
2017-01-29 18:30
bzexe
4.76
KB
-rwxr-xr-x
2017-01-29 18:30
bzfgrep
3.56
KB
-rwxr-xr-x
2017-01-29 18:30
bzgrep
3.56
KB
-rwxr-xr-x
2017-01-29 18:30
bzip2
34.62
KB
-rwxr-xr-x
2017-01-29 18:30
bzip2recover
14.32
KB
-rwxr-xr-x
2017-01-29 18:30
bzless
1.27
KB
-rwxr-xr-x
2017-01-29 18:30
bzmore
1.27
KB
-rwxr-xr-x
2017-01-29 18:30
cat
34.85
KB
-rwxr-xr-x
2017-02-22 12:23
chgrp
62.91
KB
-rwxr-xr-x
2017-02-22 12:23
chmod
58.88
KB
-rwxr-xr-x
2017-02-22 12:23
chown
62.95
KB
-rwxr-xr-x
2017-02-22 12:23
chvt
10.37
KB
-rwxr-xr-x
2016-01-05 16:55
cp
127.45
KB
-rwxr-xr-x
2017-02-22 12:23
cpio
142.45
KB
-rwxr-xr-x
2016-11-29 12:31
dash
114.46
KB
-rwxr-xr-x
2017-01-24 05:16
date
102.98
KB
-rwxr-xr-x
2017-02-22 12:23
dd
75.02
KB
-rwxr-xr-x
2017-02-22 12:23
df
83.68
KB
-rwxr-xr-x
2017-02-22 12:23
dir
127.67
KB
-rwxr-xr-x
2017-02-22 12:23
dmesg
71.32
KB
-rwxr-xr-x
2018-03-07 18:29
dnsdomainname
18.55
KB
-rwxr-xr-x
2016-07-03 19:26
domainname
18.55
KB
-rwxr-xr-x
2016-07-03 19:26
dumpkeys
162.98
KB
-rwxr-xr-x
2016-01-05 16:55
echo
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
egrep
28
B
-rwxr-xr-x
2017-01-23 18:18
false
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
fgconsole
10.38
KB
-rwxr-xr-x
2016-01-05 16:55
fgrep
28
B
-rwxr-xr-x
2017-01-23 18:18
findmnt
60.62
KB
-rwxr-xr-x
2018-03-07 18:29
fuser
35.76
KB
-rwxr-xr-x
2015-08-17 13:18
grep
210.31
KB
-rwxr-xr-x
2017-01-23 18:18
gunzip
2.25
KB
-rwxr-xr-x
2016-03-14 20:41
gzexe
5.79
KB
-rwxr-xr-x
2016-03-14 20:41
gzip
100.01
KB
-rwxr-xr-x
2016-03-14 20:41
hostname
18.55
KB
-rwxr-xr-x
2016-07-03 19:26
ip
432.1
KB
-rwxr-xr-x
2017-11-24 09:22
journalctl
66.43
KB
-rwxr-xr-x
2019-07-21 18:43
kbd_mode
10.37
KB
-rwxr-xr-x
2016-01-05 16:55
kill
26.08
KB
-rwxr-xr-x
2018-05-17 10:56
kmod
146.18
KB
-rwxr-xr-x
2016-12-26 02:42
less
161.82
KB
-rwxr-xr-x
2016-02-28 11:28
lessecho
10.02
KB
-rwxr-xr-x
2016-02-28 11:28
lessfile
7.58
KB
-rwxr-xr-x
2016-02-28 11:28
lesskey
19.36
KB
-rwxr-xr-x
2016-02-28 11:28
lesspipe
7.58
KB
-rwxr-xr-x
2016-02-28 11:28
ln
54.92
KB
-rwxr-xr-x
2017-02-22 12:23
loadkeys
199.46
KB
-rwxr-xr-x
2016-01-05 16:55
login
51.4
KB
-rwxr-xr-x
2017-05-17 11:59
loginctl
46.34
KB
-rwxr-xr-x
2019-07-21 18:43
ls
127.67
KB
-rwxr-xr-x
2017-02-22 12:23
lsblk
79.47
KB
-rwxr-xr-x
2018-03-07 18:29
lsmod
146.18
KB
-rwxr-xr-x
2016-12-26 02:42
mkdir
79.13
KB
-rwxr-xr-x
2017-02-22 12:23
mknod
67.04
KB
-rwxr-xr-x
2017-02-22 12:23
mktemp
42.88
KB
-rwxr-xr-x
2017-02-22 12:23
more
38.82
KB
-rwxr-xr-x
2018-03-07 18:29
mount
43.27
KB
-rwsr-xr-x
2018-03-07 18:29
mountpoint
14.49
KB
-rwxr-xr-x
2018-03-07 18:29
mt
71.27
KB
-rwxr-xr-x
2016-11-29 12:31
mt-gnu
71.27
KB
-rwxr-xr-x
2016-11-29 12:31
mv
123.45
KB
-rwxr-xr-x
2017-02-22 12:23
nano
220.04
KB
-rwxr-xr-x
2017-01-11 02:10
nc
26.63
KB
-rwxr-xr-x
2014-09-11 07:11
nc.traditional
26.63
KB
-rwxr-xr-x
2014-09-11 07:11
netcat
26.63
KB
-rwxr-xr-x
2014-09-11 07:11
networkctl
42.34
KB
-rwxr-xr-x
2019-07-21 18:43
nisdomainname
18.55
KB
-rwxr-xr-x
2016-07-03 19:26
open
18.95
KB
-rwxr-xr-x
2016-01-05 16:55
openvt
18.95
KB
-rwxr-xr-x
2016-01-05 16:55
pidof
22.68
KB
-rwxr-xr-x
2017-02-12 21:55
ping
59.8
KB
-rwsr-xr-x
2016-11-10 06:23
ping4
59.8
KB
-rwsr-xr-x
2016-11-10 06:23
ping6
59.8
KB
-rwsr-xr-x
2016-11-10 06:23
ps
126.3
KB
-rwxr-xr-x
2018-05-17 10:56
pwd
34.82
KB
-rwxr-xr-x
2017-02-22 12:23
rbash
1.05
MB
-rwxr-xr-x
2017-05-15 19:45
readlink
42.79
KB
-rwxr-xr-x
2017-02-22 12:23
rm
62.91
KB
-rwxr-xr-x
2017-02-22 12:23
rmdir
42.79
KB
-rwxr-xr-x
2017-02-22 12:23
rnano
220.04
KB
-rwxr-xr-x
2017-01-11 02:10
run-parts
18.84
KB
-rwxr-xr-x
2017-04-02 17:10
sed
103.33
KB
-rwxr-xr-x
2017-02-04 15:16
setfont
42.74
KB
-rwxr-xr-x
2016-01-05 16:55
setupcon
37.24
KB
-rwxr-xr-x
2017-04-07 03:55
sh
114.46
KB
-rwxr-xr-x
2017-01-24 05:16
sh.distrib
114.46
KB
-rwxr-xr-x
2017-01-24 05:16
sleep
34.76
KB
-rwxr-xr-x
2017-02-22 12:23
ss
125.17
KB
-rwxr-xr-x
2017-11-24 09:22
stty
74.88
KB
-rwxr-xr-x
2017-02-22 12:23
su
39.59
KB
-rwsr-xr-x
2017-05-17 11:59
sync
30.76
KB
-rwxr-xr-x
2017-02-22 12:23
systemctl
170.43
KB
-rwxr-xr-x
2019-07-21 18:43
systemd
1.07
MB
-rwxr-xr-x
2019-07-21 18:43
systemd-ask-password
10.34
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-escape
14.33
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-hwdb
74.74
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-inhibit
14.34
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-machine-id-setup
18.33
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-notify
10.33
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-sysusers
38.41
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-tmpfiles
54.41
KB
-rwxr-xr-x
2019-07-21 18:43
systemd-tty-ask-password-agent
26.34
KB
-rwxr-xr-x
2019-07-21 18:43
tailf
22.69
KB
-rwxr-xr-x
2018-03-07 18:29
tar
407.13
KB
-rwxr-xr-x
2016-10-30 06:35
tempfile
10.43
KB
-rwxr-xr-x
2017-04-02 17:10
touch
90.98
KB
-rwxr-xr-x
2017-02-22 12:23
true
30.73
KB
-rwxr-xr-x
2017-02-22 12:23
udevadm
450.74
KB
-rwxr-xr-x
2019-07-21 18:43
umount
30.98
KB
-rwsr-xr-x
2018-03-07 18:29
uname
34.76
KB
-rwxr-xr-x
2017-02-22 12:23
uncompress
2.25
KB
-rwxr-xr-x
2016-03-14 20:41
unicode_start
2.7
KB
-rwxr-xr-x
2016-01-05 16:55
vdir
127.67
KB
-rwxr-xr-x
2017-02-22 12:23
wdctl
30.73
KB
-rwxr-xr-x
2018-03-07 18:29
which
946
B
-rwxr-xr-x
2017-04-02 17:10
ypdomainname
18.55
KB
-rwxr-xr-x
2016-07-03 19:26
zcat
1.89
KB
-rwxr-xr-x
2016-03-14 20:41
zcmp
1.74
KB
-rwxr-xr-x
2016-03-14 20:41
zdiff
5.63
KB
-rwxr-xr-x
2016-03-14 20:41
zegrep
140
B
-rwxr-xr-x
2016-03-14 20:41
zfgrep
140
B
-rwxr-xr-x
2016-03-14 20:41
zforce
2.08
KB
-rwxr-xr-x
2016-03-14 20:41
zgrep
5.8
KB
-rwxr-xr-x
2016-03-14 20:41
zless
1.99
KB
-rwxr-xr-x
2016-03-14 20:41
zmore
1.87
KB
-rwxr-xr-x
2016-03-14 20:41
znew
4.93
KB
-rwxr-xr-x
2016-03-14 20:41
Save
Rename
#!/bin/sh # Copyright (C) 1998, 2002, 2004, 2007, 2010 Free Software Foundation # Copyright (C) 1993 Jean-loup Gailly # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 3 of the License, or # (at your option) any later version. # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # You should have received a copy of the GNU General Public License along # with this program; if not, write to the Free Software Foundation, Inc., # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. bindir='/bin' case $1 in --__bindir) bindir=${2?}; shift; shift;; esac PATH=$bindir:$PATH; export PATH version="znew (gzip) 1.6 Copyright (C) 2010-2013 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law. Written by Jean-loup Gailly." usage="Usage: $0 [OPTION]... [FILE]... Recompress files from .Z (compress) format to .gz (gzip) format. Options: -f Force recompression even if a .gz file already exists. -t Test the new files before deleting originals. -v Verbose; display name and statistics for each file compressed. -9 Use the slowest compression method (optimal compression). -P Use pipes for the conversion to reduce disk space usage. -K Keep a .Z file when it is smaller than the .gz file; implies -t. --help display this help and exit --version output version information and exit Report bugs to <bug-gzip@gnu.org>." check=0 pipe=0 opt= files= keep=0 res=0 old=0 new=0 block=1024 # block is the disk block size (best guess, need not be exact) warn="(does not preserve modes and timestamp)" tmp=${TMPDIR-/tmp}/zfoo.$$ set -C echo hi > $tmp || exit if test -z "`(${CPMOD-cpmod} $tmp $tmp) 2>&1`"; then cpmod=${CPMOD-cpmod} warn="" fi if test -z "$cpmod" && ${TOUCH-touch} -r $tmp $tmp 2>/dev/null; then cpmod="${TOUCH-touch}" cpmodarg="-r" warn="(does not preserve file modes)" fi # check if GZIP env. variable uses -S or --suffix gzip -q $tmp ext=`echo $tmp* | sed "s|$tmp||"` rm -f $tmp* if test -z "$ext"; then echo znew: error determining gzip extension exit 1 fi if test "$ext" = ".Z"; then echo znew: cannot use .Z as gzip extension. exit 1 fi for arg do case "$arg" in --help) exec echo "$usage";; --version) exec echo "$version";; -*) opt="$opt $arg"; shift;; *) break;; esac done if test $# -eq 0; then echo >&2 "$0: invalid number of operands; try \`$0 --help' for help" exit 1 fi opt=`echo "$opt" | sed -e 's/ //g' -e 's/-//g'` case "$opt" in *t*) check=1; opt=`echo "$opt" | sed 's/t//g'` esac case "$opt" in *K*) keep=1; check=1; opt=`echo "$opt" | sed 's/K//g'` esac case "$opt" in *P*) pipe=1; opt=`echo "$opt" | sed 's/P//g'` esac if test -n "$opt"; then opt="-$opt" fi for i do n=`echo $i | sed 's/.Z$//'` if test ! -f "$n.Z" ; then echo $n.Z not found res=1; continue fi test $keep -eq 1 && old=`wc -c < "$n.Z"` if test $pipe -eq 1; then if gzip -d < "$n.Z" | gzip $opt > "$n$ext"; then # Copy file attributes from old file to new one, if possible. test -n "$cpmod" && $cpmod $cpmodarg "$n.Z" "$n$ext" 2> /dev/null else echo error while recompressing $n.Z res=1; continue fi else if test $check -eq 1; then if cp -p "$n.Z" "$n.$$" 2> /dev/null || cp "$n.Z" "$n.$$"; then : else echo cannot backup "$n.Z" res=1; continue fi fi if gzip -d "$n.Z"; then : else test $check -eq 1 && mv "$n.$$" "$n.Z" echo error while uncompressing $n.Z res=1; continue fi if gzip $opt "$n"; then : else if test $check -eq 1; then mv "$n.$$" "$n.Z" && rm -f "$n" echo error while recompressing $n else # compress $n (might be dangerous if disk full) echo error while recompressing $n, left uncompressed fi res=1; continue fi fi test $keep -eq 1 && new=`wc -c < "$n$ext"` if test $keep -eq 1 && test `expr \( $old + $block - 1 \) / $block` -lt \ `expr \( $new + $block - 1 \) / $block`; then if test $pipe -eq 1; then rm -f "$n$ext" else mv "$n.$$" "$n.Z" && rm -f "$n$ext" fi echo "$n.Z smaller than $n$ext -- unchanged" elif test $check -eq 1; then if gzip -t "$n$ext" ; then rm -f "$n.$$" "$n.Z" else test $pipe -eq 0 && mv "$n.$$" "$n.Z" rm -f "$n$ext" echo error while testing $n$ext, $n.Z unchanged res=1; continue fi elif test $pipe -eq 1; then rm -f "$n.Z" fi done exit $res